Summary:	System for layout and rendering of internationalized text - cross MinGW32 version
Summary(pl.UTF-8):	System renderowania międzynarodowego tekstu - wersja skrośna dla MinGW32
%define		realname   pango
Name:		crossmingw32-%{realname}
Version:	1.50.11
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	https://download.gnome.org/sources/pango/1.50/%{realname}-%{version}.tar.xz
# Source0-md5:	3ff7ab8644a0622f96e7d7f547074096
URL:		https://pango.gnome.org/
# cairo-ft cairo-pdf cairo-png cairo-ps cairo-win32
BuildRequires:	crossmingw32-cairo >= 1.12.10
BuildRequires:	crossmingw32-fontconfig >= 2.13.0
BuildRequires:	crossmingw32-freetype >= 2.1.7
BuildRequires:	crossmingw32-fribidi >= 1.0.6
BuildRequires:	crossmingw32-gcc
# when supported by our mingw32
#BuildRequires:	crossmingw32-glib2 >= 2.68.0
BuildRequires:	crossmingw32-glib2 >= 2.62
BuildRequires:	crossmingw32-harfbuzz >= 2.6.0
BuildRequires:	crossmingw32-w32api >= 5.0.2-6
# glib-genmarshal, glib-mkenums
BuildRequires:	glib2-devel >= 1:2.68.0
BuildRequires:	meson >= 0.55.3
BuildRequires:	ninja >= 1.5
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-cairo >= 1.12.10
Requires:	crossmingw32-fontconfig >= 2.13.0
Requires:	crossmingw32-freetype >= 2.1.7
Requires:	crossmingw32-fribidi >= 1.0.6
#Requires:	crossmingw32-glib2 >= 2.68.0
Requires:	crossmingw32-glib2 >= 2.62
Requires:	crossmingw32-harfbuzz >= 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}
# for meson 0.50+, keep __cc/__cxx as host compiler and pass %{target}-* in meson-cross.txt

%define		_ssp_cflags		%{nil}
%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
System for layout and rendering of internationalized text (cross
MinGW32 version).

%description -l pl.UTF-8
System obsługi i renderowania międzynarodowego tekstu (wersja skrośna
MinGW32).

%package static
Summary:	Static Pango libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki Pango (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static Pango libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki Pango (wersja skrośna MinGW32).

%package dll
Summary:	DLL pango libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL pango dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-cairo-dll >= 1.12.10
Requires:	crossmingw32-fontconfig-dll >= 2.13.0
Requires:	crossmingw32-freetype-dll >= 2.1.7
Requires:	crossmingw32-fribidi-dll >= 1.0.6
#Requires:	crossmingw32-glib2-dll >= 2.68.0
Requires:	crossmingw32-glib2-dll >= 2.62
Requires:	crossmingw32-harfbuzz-dll >= 2.6.0
Requires:	wine

%description dll
DLL pango libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL pango dla Windows.

%prep
%setup -q -n %{realname}-%{version}

# disable unused gi-docgen subproject
%{__sed} -i -e '/fallback:.*gi-docgen/d' meson.build

cat > meson-cross.txt <<'EOF'
[host_machine]
system = 'windows'
cpu_family = 'x86'
cpu = 'i386'
endian='little'
[binaries]
c = '%{target}-gcc'
cpp = '%{target}-g++'
ar = '%{target}-ar'
windres = '%{target}-windres'
pkgconfig = 'pkg-config'
[properties]
c_args = ['%(echo %{rpmcflags} | sed -e "s/ \+/ /g;s/ /', '/g")', '-DWINVER=0x0600']
EOF

%build
export PKG_CONFIG_LIBDIR=%{_pkgconfigdir}
%meson build \
	--cross-file meson-cross.txt \
	%{?debug:--debug} \
	-Dgtk_doc=false \
	-Dintrospection=disabled

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} $RPM_BUILD_ROOT%{_bindir}/pango-{list,segmentation,view}.exe

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.md README.win32 THANKS
%{_libdir}/libpango-1.0.dll.a
%{_libdir}/libpangocairo-1.0.dll.a
%{_libdir}/libpangoft2-1.0.dll.a
%{_libdir}/libpangowin32-1.0.dll.a
%{_includedir}/pango-1.0
%{_pkgconfigdir}/pango.pc
%{_pkgconfigdir}/pangocairo.pc
%{_pkgconfigdir}/pangofc.pc
%{_pkgconfigdir}/pangoft2.pc
%{_pkgconfigdir}/pangoot.pc
%{_pkgconfigdir}/pangowin32.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpango-1.0.a
%{_libdir}/libpangocairo-1.0.a
%{_libdir}/libpangoft2-1.0.a
%{_libdir}/libpangowin32-1.0.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libpango-1.0-0.dll
%{_dlldir}/libpangocairo-1.0-0.dll
%{_dlldir}/libpangoft2-1.0-0.dll
%{_dlldir}/libpangowin32-1.0-0.dll
%changelog
* Tue Oct 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-pango.git;a=log;h=master

* Tue Oct 04 2022 Jakub Bogusz <qboosh@pld-linux.org> b1a70a0
- updated to 1.50.11

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 71c4489
- updated to 1.50.10

* Thu Aug 18 2022 Jakub Bogusz <qboosh@pld-linux.org> cc493cc
- updated to 1.50.9

* Tue Jul 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 5cac983
- updated to 1.50.8

* Fri Apr 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 1c741f8
- updated to 1.50.7

* Sun Mar 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 7c1d4d3
- updated to 1.50.5

* Mon Feb 14 2022 Jakub Bogusz <qboosh@pld-linux.org> ac74daa
- updated to 1.50.4

* Thu Dec 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 871f0d0
- updated to 1.50.3

* Fri Dec 17 2021 Jakub Bogusz <qboosh@pld-linux.org> e6d5f1a
- updated to 1.50.2

* Wed Dec 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 6393132
- updated to 1.50.1

* Fri Dec 03 2021 Jakub Bogusz <qboosh@pld-linux.org> e19d016
- added x32 patch, release 2

* Fri Dec 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 2b7bdf9
- updated to 1.50.0

* Sun Sep 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 18e2024
- updated to 1.48.10

* Wed Aug 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 4eaff9e
- updated to 1.48.9

* Sun Aug 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 4de8f7c
- updated to 1.48.8

* Sun Jul 04 2021 Jakub Bogusz <qboosh@pld-linux.org> b408568
- updated to 1.48.7

* Tue Jun 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 226a331
- updated to 1.48.6

* Tue May 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 4a6439a
- updated to 1.48.5
- temporarily lowered glib version (our mingw32 needs Win32 API update for glib 2.68)

* Wed Apr 21 2021 Jakub Bogusz <qboosh@pld-linux.org> dfc9c71
- updated glib2 version

* Thu Apr 15 2021 Jakub Bogusz <qboosh@pld-linux.org> e1597bb
- updated to 1.48.4

